Last Comment Bug 342956 - [ad-blocking] Block some common/repeat offender imdb flash ads
: [ad-blocking] Block some common/repeat offender imdb flash ads
Status: RESOLVED FIXED
: fixed1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Annoyance Blocking (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: Smokey Ardisson (offline for a while; not following bugs - do not email)
:
:
Mentors:
Depends on: 348160
Blocks: 341502 342762 342957 345341
  Show dependency treegraph
 
Reported: 2006-06-28 00:43 PDT by Smokey Ardisson (offline for a while; not following bugs - do not email)
Modified: 2006-08-23 19:14 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Omnibus ad-blocking patch for July (4.33 KB, patch)
2006-07-15 22:49 PDT, Smokey Ardisson (offline for a while; not following bugs - do not email)
bugzilla-graveyard: review+
Details | Diff | Splinter Review
v2, with klipmart (4.61 KB, patch)
2006-07-18 02:26 PDT, Smokey Ardisson (offline for a while; not following bugs - do not email)
no flags Details | Diff | Splinter Review
Final patch for July (hopefully) (5.24 KB, patch)
2006-07-31 17:18 PDT, Smokey Ardisson (offline for a while; not following bugs - do not email)
sfraser_bugs: superreview+
Details | Diff | Splinter Review

Description User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-06-28 00:43:44 PDT
 
Comment 1 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-15 22:49:48 PDT
Created attachment 229368 [details] [diff] [review]
Omnibus ad-blocking patch for July

Fixes bug 342956, bug 342957, bug 342762, bug 341502, and some assorted cleanup I've had in my ad-blocking sticky note for months now.

The object rules are a little more conservative than their corresponding div rules, so the "400" and "171" singletons are missing.  This also won't eliminate all the Flash ads on IMDb, especially not the ones that replace parts of the site navigation when they're displayed.
Comment 2 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-15 22:53:48 PDT
I'll try to remember to check back in with this bug in a few days to move it along  if necessary.
Comment 3 User image Chris Lawson (gone) 2006-07-16 20:50:25 PDT
Comment on attachment 229368 [details] [diff] [review]
Omnibus ad-blocking patch for July

Looks good to me.

cl
Comment 4 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-17 02:10:38 PDT
Comment on attachment 229368 [details] [diff] [review]
Omnibus ad-blocking patch for July

Simon, can your sr these ad-blocking changes?
Comment 5 User image sairuh (rarely reading bugmail) 2006-07-17 17:28:31 PDT
Here are couple more sites which push flash ads:

http://gfx.klipmart.com (seen from ArsTechnica.com)
http://cdn.fastclick.net (seen from Worth1000.com)
Comment 6 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-18 02:26:21 PDT
Created attachment 229636 [details] [diff] [review]
v2, with klipmart

sairuh, can you find a specific example of the fastclick ad getting through?  It should be caught by 

embed[type="application/x-shockwave-flash"][src*=".fastclick.net"],

in the current ruleset.  I browsed worth1000 for a bit and didn't see any flash ads at all.

gfx.klipmart.com is a partner of gfx.dvlabs.com, so I've added the former next to the existing rule for the latter.  

Holding off on requesting re-review until we figure out what's up with fastclick.
Comment 7 User image Simon Fraser 2006-07-18 09:14:19 PDT
I've been seeing a few ads recently that I'd like to block. Here are two:

http://www.eyereturn.com (I forget if this was flash, images or what)
http://a.ads.t-online.de/dat/bgf/200601/10/banner_728x90(1).swf?clickTag=http%3A//re

Can we hold this open for a little longer to accumulate some more sites?
Comment 8 User image sairuh (rarely reading bugmail) 2006-07-18 09:17:12 PDT
Here's the url of a fastclick ad I got from Worth1000.com:
http://cdn.fastclick.net/fastclick.net/ffp2.swf

If that doesn't work, here are the pages at Worth1000.com which (sometimes) throws the flash ad:
http://www.worth1000.com/cache/contest/contestcache.asp?contest_id=10989&display=photoshop#entries
http://www.worth1000.com/cache/contest/contestcache.asp?contest_id=10967&display=photoshop#entries
Comment 9 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-21 09:16:38 PDT
(In reply to comment #7)
> http://a.ads.t-online.de/dat/bgf/200601/10/banner_728x90(1).swf?clickTag=http%3A//re

embed[type="application/x-shockwave-flash"][src*="ads.t-online.de"],
from the existing rules should be blocking that (and does, at least when I load that url directly) :-(

> Can we hold this open for a little longer to accumulate some more sites?

Sure.  A couple of these bugs have been sitting for a while, so I would like to get an update pushed soon-ish (say, by the end of the month) for that reason (as well as to get some baking before nominating for 1.0.3).
Comment 10 User image Simon Fraser 2006-07-21 09:17:21 PDT
I just got some heinous flash and image ads from http://media.nyadmcncserve-05y06a.com on the NYT site.
Comment 11 User image Simon Fraser 2006-07-23 21:47:01 PDT
Here's an sfgate.com one:
http://mi.adinterax.com/customer/centro/12/rent_300x250_fat.swf?adxq=1153172182
Comment 12 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-31 17:18:24 PDT
Created attachment 231527 [details] [diff] [review]
Final patch for July (hopefully)

This should block everything mentioned so far, plus some ads from torrent.to that people were complaining about in the forum.

Once this lands, I think we can just open a bug for August and start collecting again....
Comment 13 User image Nick Kreeger 2006-07-31 21:11:48 PDT
Fixed trunk and branch.
Comment 14 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-31 21:14:21 PDT
Nominating for 1.0.3 so we don't forget after some baking....
Comment 15 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-08-23 19:14:24 PDT
Unified 180branch patch is in bug 348160.

Note You need to log in before you can comment on or make changes to this bug.